# $Revision: 1.51 $, $Date: 2006/09/08 18:03:40 $
# Conditional build:
%bcond_without	libiptc		# doesn't build with 2.2 kernel
#
Summary:	Transparent FTP proxy
Summary(pl):	Przezroczyste proxy FTP
Name:		frox
Version:	0.7.18
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://frox.sourceforge.net/download/%{name}-%{version}.tar.bz2
# Source0-md5:	d30c35b9820d706ff2f9a6ab3b501247
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
URL:		http://frox.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	linux-libc-headers >= 7:2.6.12.0-12
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/groupmod
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	rc-scripts
Provides:	group(frox)
Provides:	user(frox)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Frox is transparent FTP proxy. It also has support for non-transparent
connections, caching of anonymous ftp, and active --> passive
conversion of data connections.

%description -l pl
Frox to przezroczyste proxy FTP, posiada rwnie wsparcie do
nieprzezroczystych pocze, buforowania anonimowego ftp, i konwersji
pocze z aktywnych na pasywne.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-http-cache \
	--enable-local-cache \
	--%{!?with_iptc:dis}%{?with_iptc:en}able-libiptc \
	--enable-transparent-data \
	--enable-configfile=%{_sysconfdir}/frox.conf
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/frox,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/etc/{logrotate.d,sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT/var/{log/{archiv/frox,frox},cache/frox}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/frox.conf	$RPM_BUILD_ROOT%{_sysconfdir}/frox.conf
install doc/frox.man	$RPM_BUILD_ROOT%{_mandir}/man8/frox.8
install doc/frox.conf.man	$RPM_BUILD_ROOT%{_mandir}/man5/frox.5
install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/frox
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/sysconfig/frox

cat >$RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/frox << EOF
/var/log/frox/frox-log {
	olddir /var/log/archiv/frox
	nocreate
}
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "`/usr/bin/getgid frox`" = 97 ]; then
	/usr/sbin/groupmod -g 103 frox
fi
%groupadd -g 103 frox

if [ -n "`id -u frox 2>/dev/null`" ] && [ "`/bin/id -u frox`" = 97 ]; then
	/usr/sbin/usermod -u 103 frox
	chown -R frox:frox /var/cache/frox ||:
	chown -R root:frox /var/log/frox /var/log/archiv/frox ||:
fi
%useradd -u 103 -s /bin/false -g frox -c "FROX ftp caching daemon" -d /var/cache/frox frox

%post
/sbin/chkconfig --add frox
%service frox restart "frox daemons"

%preun
if [ "$1" = "0" ]; then
	%service frox stop
	/sbin/chkconfig --del frox
fi

%postun
if [ "$1" = "0" ]; then
	%userremove frox
	%groupremove frox
fi

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,FAQ,README.transdata,RELEASE,SECURITY,TODO}
%attr(754,root,root) /etc/rc.d/init.d/frox
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/frox
%attr(640,root,frox) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/frox.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/frox
%attr(755,root,root) %{_sbindir}/frox
%attr(770,root,frox) /var/lib/frox
%attr(770,root,frox) /var/log/frox
%attr(770,root,frox) /var/log/archiv/frox
%attr(770,frox,frox) /var/cache/frox
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: frox.spec,v $
Revision 1.51  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.50  2006/04/16 19:47:50  glen
- kernel22 renamed to generic libiptc bcond
- require newer llh to build

Revision 1.49  2006/04/14 16:57:47  glen
- doesn't build

Revision 1.48  2006/02/27 23:21:21  glen
- use %service

Revision 1.47  2006/02/27 23:19:45  glen
- fix uid/gid migration

Revision 1.46  2005/08/06 16:28:47  dzeus
- up to 0.7.18, added ChangeLog in doc

Revision 1.45  2005/06/01 01:40:36  zbyniu
- missing dir

Revision 1.44  2005/05/21 18:46:26  darekr
- unified

Revision 1.43  2005/05/02 18:23:51  glen
- adapterized

Revision 1.42  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.41  2004/10/16 20:40:02  ankry
- fixed GID/UID
- %userremove/%groupremove support
- some unification

Revision 1.40  2004/09/26 21:34:30  kolodko
- added macros in /etc/logrotate.d

Revision 1.39  2004/09/20 20:25:25  andree
- updated to 0.7.15
- added logrotate script, log dir

Revision 1.38  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.37  2004/07/27 17:04:11  andree
- don't search for kernelver, use bcond to define kernel22

Revision 1.36  2004/06/23 04:55:01  zboczuch
- pl fixes

Revision 1.35  2004/06/23 00:44:57  andree
- updated to 0.7.14

Revision 1.34  2004/05/04 06:47:06  andree
- updated to 0.7.13

Revision 1.33  2004/05/03 23:37:00  andree
- fix perm

Revision 1.32  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.31  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.30  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.29  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:47:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/17 06:46:18  pascalek
- revert user changes

Revision 1.26  2003/05/10 10:10:29  pascalek
- Req user-frox

Revision 1.25  2003/02/04 17:43:06  djrzulf
- updated to 0.7.6,
- added missed frox.sysconfig,
- some updates at frox.init,
- STBR, it builds but i haven't tested it becouse i haven't time (-;,
- i think this program is sweet ! :>,

Revision 1.24  2002/10/06 13:15:01  qboosh
- added missing Requires()

Revision 1.23  2002/09/23 13:00:35  jajcus
- Make it fork for both 2.2 and 2.4 kernels

Revision 1.22  2002/09/23 11:24:39  jajcus
- Version: 0.7.5

Revision 1.21  2002/08/05 10:34:34  marcus
- addedd BuildConflicts: kernel < 2.3.0 - this package
  uses headers from netfilter

Revision 1.20  2002/06/18 21:12:32  kloczek
- use new %doc.

Revision 1.19  2002/05/21 23:13:03  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/05/15 12:19:59  areq
- 0.7.4

Revision 1.17  2002/04/25 16:19:53  arturs
- fixed a small typo

Revision 1.16  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:12:59  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/09/24 15:15:51  kloczek
- release 2.

Revision 1.12  2001/09/24 12:44:17  qboosh
- Prereq: /sbin/chkconfig

Revision 1.11  2001/08/23 22:21:10  kloczek
- added automake, autoconf to BuildRequires.

Revision 1.10  2001/08/23 21:33:31  waszi
- updated to 1.6.5

Revision 1.9  2001/07/28 15:01:42  migo
- added Summary(pl)

Revision 1.8  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/07/02 17:25:58  kloczek
- added URL and %description,
- added kernel-headers >= 2.4.0 (it uses iptables),
- some cleanups.

Revision 1.1  2001/07/02 17:10:37  waszi
- initial release (need check :)
